Bug 109648 - PATCH: lastlog assumes ll_time in struct lastlog is time_t
PATCH: lastlog assumes ll_time in struct lastlog is time_t
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks: 102121
  Show dependency treegraph
 
Reported: 2003-11-10 12:17 EST by H.J. Lu
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix lastlog (593 bytes, patch)
2003-11-10 12:18 EST, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2003-11-10 12:17:43 EST
In lastlog.c, there is

        tm = localtime (&lastlog.ll_time);

it assumes ll_time is time_t. But in <bits/utmp.h>, there are


struct lastlog
  {
#if __WORDSIZE == 64 && defined __WORDSIZE_COMPAT32
    int32_t ll_time;
#else
    __time_t ll_time;
#endif
    char ll_line[UT_LINESIZE];
    char ll_host[UT_HOSTSIZE];
  };
Comment 1 H.J. Lu 2003-11-10 12:18:51 EST
Created attachment 95881 [details]
A patch to fix lastlog
Comment 3 Nalin Dahyabhai 2003-11-11 10:30:57 EST
Patch looks reasonable from here.
Comment 4 Jay Turner 2004-01-16 12:15:05 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-340.html

Note You need to log in before you can comment on or make changes to this bug.